/*
	Copyright 2003 Xavier Dunat

    This file is part of Suisse.

    Suisse is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Suisse is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Suisse; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef _RuleB_H_
#define _RuleB_H_
#define F_DESCENDANT -1
#define F_MONTANT 1
int alreadyPlay(struct player player0, struct player player1);
int alreadyExempt(struct player m_player);
int calculX(struct listOfPlayer S1, struct listOfPlayer S2, enum COLOR *color);
int hightColorPref(struct player *list, int nbPlayer, int X,
			   int *nbLowModif, int *nbHightModif);
int testMatch(struct player player1, struct player player2,
	      struct perturbation Perturbation,	
//		enum COLOR color, int low, int hight,
//	      int ruleB5, int ruleB6);
	      struct parameterOfRound);
int getColorMatch(struct player *player0, struct player *player1);
#endif /* _RuleB_H_ */
